<?php
/**
 * The admin-specific functionality of the plugin.
 *
 * @link       https://growcommerce.io/
 * @since      1.0.0
 *
 * @package    Pixel_Manager_For_Woocommerce
 * @package    Pixel_Manager_For_Woocommerce/admin/partials
 * Pixel Manager For Woocommerce
 */

if(!defined('ABSPATH')){
	exit; // Exit if accessed directly
}
if(!class_exists('PMW_PixelsRateUS')){
	class PMW_PixelsRateUS extends PMW_AdminHelper{
    public function __construct( ) {
      $this->req_int();
      $this->load_html();
    }
    public function req_int(){
    }
    protected function load_html(){
      $this->page_html();
      $this->page_js();
    }
    /**
     * Page HTML
     **/
    protected function page_html(){
      ?>
      <div class="pmw_form-wrapper">
        <div class="pmw_form-row">
          <div class="pmw_form-group">
            <label class="pmw_row-title"><?php echo esc_attr__('Do you like to use the Pixel Manager plugin?', 'pixel-manager-for-woocommerce'); ?></label>
            <p><?php echo esc_html__('Your opinion helps us. Would you please take a moment to rate this pixel manager plugin?', 'pixel-manager-for-woocommerce'); ?></p>
            <a class="pmw-rate-us" href="https://wordpress.org/support/plugin/pixel-manager-for-woocommerce/reviews/" target="_blank"><?php echo esc_attr__('Rate Us', 'pixel-manager-for-woocommerce'); ?> <img src="<?php echo PIXEL_MANAGER_FOR_WOOCOMMERCE_URL."/admin/images/rate-us.png"; ?>" alt="rate-us" /></a>
          </div>
        </div>
      </div>
      <?php
    }
    /**
     * Page JS
     **/
    protected function page_js(){
    }
	}
}