<?php
/**
 * The admin-specific functionality of the plugin.
 *
 * @link       
 * @since      1.0.0
 *
 * @package    
 * @package    PMW_Pixel
 * 
 */
if (!defined('ABSPATH')) {
  exit; // Exit if accessed directly
}
if(!class_exists('PMW_TwitterPixelManager')):
	class PMW_TwitterPixelManager extends PMW_PixelManager{
		protected $options;
		protected $pixel_id;
		public function __construct( $options ){
			$this->options = $options;
			$this->pixel_id = (isset($options['twitter_pixel']['pixel_id']))?$options['twitter_pixel']['pixel_id']:"";
			add_action( 'wp_head', array( $this, 'init_in_wp_head'),10 );
		}

		public function init_in_wp_head(){
			$this->inject_general_data_layer();
		}

		public function inject_general_data_layer(){
			?>
<!-- Twitter universal website tag code (Pixel Manager - GrowCommerce) -->
<script>
!function(e,t,n,s,u,a){e.twq||(s=e.twq=function(){s.exe?s.exe.apply(s,arguments):s.queue.push(arguments);
},s.version='1.1',s.queue=[],u=t.createElement(n),u.async=!0,u.src='//static.ads-twitter.com/uwt.js',
a=t.getElementsByTagName(n)[0],a.parentNode.insertBefore(u,a))}(window,document,'script');
// Insert Twitter Pixel ID and Standard Event data below
twq('init','<?php echo esc_js($this->pixel_id); ?>');
twq('track','PageView');
</script>
<!-- End Twitter universal website tag code -->
			<?php
		}
	}
endif;